variable "tags" { type = map }
variable "dns_info" { type = map }
variable "cidr_map" { type = map }
variable "instance_termination_protection" { type = bool }
variable "standard_tags" { type = map }
variable "environment" { type = string }
variable "trusted_ips" { type = list }
variable "aws_region" { type = string }
variable "aws_partition" { type = string }
variable "aws_partition_alias" { type = string }
variable "aws_account_id" { type = string }
variable "common_services_account" { type = string }
variable "proxy" { type = string }
variable "salt_master" { type = string }
variable "portal_test_whitelist" { type = list }

variable "instance_name" {
  description = "Hostname, DNS entry, etc."
  type = string
}

variable "instance_type" { 
  type = string
  default = "t3a.micro"
}

variable "vpc_id" {
  type = string
}

variable "private_subnets" {
  type = list(string)
}

variable "public_subnets" {
  type = list(string)
}

variable "proxy_public_ip" {
  type = string
  
}